com.sun.jna.platform.win32

## Class WTypes.BSTRByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WTypes.BSTRByReference

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  WTypes

    public static class WTypes.BSTRByReference
    extends ByReference

### Constructor Summary

Constructors
Constructor and Description
`BSTRByReference()`
`BSTRByReference(WTypes.BSTR value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString()`
`WTypes.BSTR` `getValue()`
`void` `setValue(WTypes.BSTR value)`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BSTRByReference

    public BSTRByReference()

#### BSTRByReference

    public BSTRByReference(WTypes.BSTR value)

### Method Detail

#### setValue

    public void setValue(WTypes.BSTR value)

#### getValue

    public WTypes.BSTR getValue()

#### getString

    public java.lang.String getString()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.